ACCEL-CONFIG CONFIG(1)

NAME
accel-config-config-group - configure individual attributes of a group

SYNOPSIS

accel-config config-group <device name>/<group name> [<options>]

EXAMPLE

accel-config config-group dsa0/group0.0 --read-buffers-reserved=1

OPTIONS

-r, --read-buffers-reserved=
    specify the number of read buffers reserved for the use of engines in the group. The limit of this value must be:

        • The sum of all read-buffers-reserved for all groups must be less than or equal to total read buffers from group capability field of the device.

-t, --read-buffers-allowed=
    specify the maximum number of read buffers that may be in use at one time by all engines in the group. This value can be used to limit the maximum bandwidth used by engines in the group. The limit of this value must be:

        • greater than 0

        • greater than or equal to the read-buffers-reserved value for this group.

        • less than or equal to the sum of read-buffers reserved-field and the non-reserved read buffers (total read buffers - total read buffers reserved for all groups).

-l, --use-read-buffer-limit=
    toggle the enabling of read-buffer limit usage. use-read-buffer-limit should be either 0 or 1.

-a, --traffic-class-a=
    specify traffic class A for this group, it should be larger than 0 and less than 8.

-b, --traffic-class-b=
    specify traffic class B for this group, it should be larger than 0 and less than 8.

-d, --desc-progress-limit=
    Controls the number of work descriptors that can be concurrently processed by an engine in the group. Range of valid values are 0, 1, 2 and 3 for max, 1/2, 1/4 and 1/8 respectively that the engine is capable of.

-p, --batch-progress-limit=
    Controls the number of batch descriptors that can be concurrently processed by an engine in the group. Range of valid values are 0, 1, 2 and 3 for max, 1/2, 1/4 and 1/8 respectively that the engine is capable of.

COPYRIGHT

Copyright (c) 2023 - 2026, Intel Corporation. License GPLv2: GNU GPL version 2 http://gnu.org/licenses/gpl.html. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.